package io.renren.modules.admin.lecture.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 演讲(报告)表
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-11 14:36:45
 */
@Data
@TableName("lecture")
public class LectureEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 演讲id （演讲/报告表）
	 */
	@TableId
	private Long id;
	/**
	 * 会议id
	 */
	private Long meetingId;
	/**
	 * 演讲人id
	 */
	private Long speaker;
	/**
	 * 题目
	 */
	private String topic;
	/**
	 * 所属会场(主会场/分会场)
	 */
	private Integer branchId;
	/**
	 * 演讲时间
	 */
	private Integer speechTime;
	/**
	 * 摘要
	 */
	private String summary;
	/**
	 * 創建時間
	 */
	private Date createTime;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	private Integer isDel;

}
